Update Phalcon Forum to phalcon4 version

Hello

this is about phalcon forum

i have i problem when i upgrade phalcon to version 4 php

i have this error


Fatal error: Uncaught Error: Class 'Phalcon\Mvc\User\Component' not found in /home/exemple/domains/forum.exemple.io/public_html/app/provider/AbstractServiceProvider.php:29 Stack trace: #0 /home/exemple/domains/forum.exemple.io/public_html/vendor/composer/ClassLoader.php(444): include() #1 /home/exemple/domains/forum.exemple.io/public_html/vendor/composer/ClassLoader.php(322): Composer\Autoload\includeFile('/home/exemple/dom...') #2 [internal function]: Composer\Autoload\ClassLoader->loadClass('Phosphorum\\Prov...') #3 /home/exemple/domains/forum.exemple.io/public_html/app/provider/EventsManager/ServiceProvider.php(28): spl_autoload_call('Phosphorum\\Prov...') #4 /home/exemple/domains/forum.exemple.io/public_html/vendor/composer/ClassLoader.php(444): include('/home/exemple/dom...') #5 /home/exemple/domains/forum.exemple.io/public_html/vendor/composer/ClassLoader.php(322): Composer\Autoload\includeFile('/home/exemple/dom...') #6 [internal function]: Composer\Autoload\ClassLoader->loadClass('Phosphorum\\Prov...') #7 /home/exemple/domains/forum.exemple.io/pub in /home/exemple/domains/forum.exemple.io/public_html/app/provider/AbstractServiceProvider.php on line 29

how to resolve it ?

thanks



9.5k
edited 19d ago

Phalcon Forum isn't v4 ready yet.

Okey , thanks for answering